-- Hearthstone V1.9


if (UnitClass("player") == "Shaman") then

	HS_BindingTable = 
	{
		{ HS_BindingName01, "ITEM Hearthstone" },
		{ HS_BindingName02, "SPELL Astral Recall" }
	}
	
else

	HS_BindingTable = 
	{
		{ HS_BindingName01, "ITEM Hearthstone" }
	}

end

function HS_OnEvent1()
	if (event == "UNIT_SPELLCAST_SENT") then
		if string.match(arg2, "Hearthstone") then
			HS_MessageFrame:SetFading(true);
			HS_MessageFrame:Show();
 			DEFAULT_CHAT_FRAME:AddMessage(HS_Chat_Message .. GetBindLocation() .. ".|r" , 0, 0.9, 0.9);
			HS_MessageFrame:AddMessage(HS_Frame_Message .. GetBindLocation() .. "." ,0, 0.9, 0, 1.0, 6);
		elseif string.match(arg2, "Astral Recall") then
			HS_MessageFrame:SetFading(true);
			HS_MessageFrame:Show();
			DEFAULT_CHAT_FRAME:AddMessage(HS_Recall_Chat_Message .. GetBindLocation() .. ".|r" , 0, 0.9, 0.9);
			HS_MessageFrame:AddMessage(HS_Recall_Frame_Message .. GetBindLocation() .. "." ,0, 0.9, 0, 1.0, 6);
		end
	end
end

function HS_OnEvent2()
	if (event == "UNIT_SPELLCAST_STOP") then
		if string.match(arg1, "player") then
			HS_MessageFrame:Hide();
		end
	end
end

function HS_OnEvent3()
	if (event == "ADDON_LOADED") then
		if (arg1 == "Hearthstone") then
			if (UnitClass("player") == "Shaman") then
				DEFAULT_CHAT_FRAME:AddMessage(HS_Shaman_Chat_Load , 0, 0.9, 0.9);
			else
				DEFAULT_CHAT_FRAME:AddMessage(HS_Chat_Load , 0, 0.9, 0.9);
			end
		end		
	end
end

function HS_SlashHandler(cmd)
	cmd = string.lower(cmd);

	if(cmd == "resetpos") then
		local frame = HS_MessageFrame;
		frame:ClearAllPoints();
		frame:SetPoint("CENTER", "UIParent", "CENTER", 0, -100);

		CloseMenus();

		HS_MessageFrame:RegisterForDrag();
		HS_MessageFrame:SetFading(true);
		HS_MessageFrame:Hide();
		-- HS_MessageFrame:AddMessage(HS_ResetFrame ,0, 0, 0, 1.0, 2);
		DEFAULT_CHAT_FRAME:AddMessage(HS_FrameReset , 0, 0.9, 0.9);

	elseif(cmd == "unlock") then
		HS_MessageFrame:RegisterForDrag("LeftButton");
		HS_MessageFrame:SetFading(false);
		HS_MessageFrame:Show();
		HS_MessageFrame:AddMessage(HS_MoveFrame);
		-- HS_MessageFrame:SetClampedToScreen(true);
		DEFAULT_CHAT_FRAME:AddMessage(HS_FrameUnlock , 0, 0.9, 0.9);

	elseif(cmd == "lock") then
		HS_MessageFrame:RegisterForDrag();
		HS_MessageFrame:Clear();
		HS_MessageFrame:Hide();
		HS_MessageFrame:SetFading(true);
		DEFAULT_CHAT_FRAME:AddMessage(HS_FrameLock , 0, 0.9, 0.9)

	elseif(cmd == "bind") then
		ClickBinder.Open("Hearthstone " .. HS_VersNum,HS_BindingTable);

	else
		DEFAULT_CHAT_FRAME:AddMessage(HS_Help1 , 0, 0.9, 0.9);
		DEFAULT_CHAT_FRAME:AddMessage(HS_Help2 , 0, 0.9, 0.9);
		DEFAULT_CHAT_FRAME:AddMessage(HS_Help3 , 0, 0.9, 0.9);
		DEFAULT_CHAT_FRAME:AddMessage(HS_Help4 , 0, 0.9, 0.9);
		DEFAULT_CHAT_FRAME:AddMessage(HS_Help5 , 0, 0.9, 0.9);
		DEFAULT_CHAT_FRAME:AddMessage(HS_Help6 , 0, 0.9, 0.9);
	end
end

function HS_OnDragStart()
	HS_MessageFrame:StartMoving()
end

function HS_OnDragStop()
	HS_MessageFrame:StopMovingOrSizing()
end

function HS_OnLoad()
	this:RegisterEvent("ADDON_LOADED");
	this:RegisterEvent("UNIT_SPELLCAST_SENT");
	this:RegisterEvent("UNIT_SPELLCAST_STOP");

	SlashCmdList["HS_SLASH"] = HS_SlashHandler;

	SLASH_HS_SLASH1 = "/hs";
	SLASH_HS_SLASH2 = "/hearthstone";
	
end


